// Item
class Item
{
  int bibNumber;
  float deweyClass;
  String title;
  String subject;
  String itemType;
  String[] toponymsOfItem;
  
  Item(int bibNumber, float deweyClass, String title, String subject, String itemType, String[] toponymsOfItem)
  {
    this.bibNumber = bibNumber;
    this.deweyClass = deweyClass;
    this.title = title;
    this.subject = subject;
    this.itemType = itemType;
    this.toponymsOfItem = toponymsOfItem;
  }
}

// Place
class Place
{
  String toponym;
  float x,y,z;
  int count;
  ArrayList <Item> itemsOfToponym = new ArrayList<Item>();
  
  Place(String toponym, float x, float y, float z, int count, ArrayList <Item> itemsOfToponym)
  {
    this.toponym = toponym;
    this.x = x;
    this.y = y;
    this.z = z;
    this.count = count;
    this.itemsOfToponym = itemsOfToponym;
  }

  Place(String toponym, float x, float y, float z)
  {
    this.toponym = toponym;
    this.x = x;
    this.y = y;
    this.z = z;
  }
}

/* // Place Graph and related methods
class PlaceGraph
{
  private Map<Place, List<Place>> adjPlaces;
  
  void addPlace(String toponym, float x, float y, float z, int count)
  {
    adjPlaces.putIfAbsent(new Place(toponym, x, y, z, count), new ArrayList<>());
  }
  
  void addEdge(String toponym1, float x1, float y1, float z1, int count1, String toponym2, float x2, float y2, float z2, int count2)
  {
    Place p1 = new Place(toponym1, x1, y1, z1, count1);
    Place p2 = new Place(toponym2, x2, y2, z2, count2);
    adjPlaces.get(p1).add(p2);
    adjPlaces.get(p2).add(p1);
  }
  
  List<Place> getAdjPlace(String toponym, float x, float y, float z, int count)
  {
    return adjPlaces.get(new Place(toponym, x, y, z, count));
  }
}
 */