/*
SELECT 
    spl_2016.deweyClass.bibNumber,
    spl_2016.deweyClass.deweyClass,
    spl_2016.title.title,
    GROUP_CONCAT(spl_2016.subject.subject) AS 'subject',
    spl_2016.itemType.itemType
FROM
    spl_2016.deweyClass
        INNER JOIN
    spl_2016.title ON spl_2016.deweyClass.bibNumber = spl_2016.title.bibNumber
        INNER JOIN
    spl_2016.subject ON spl_2016.deweyClass.bibNumber = spl_2016.subject.bibNumber
        INNER JOIN
    spl_2016.itemToBib ON spl_2016.itemToBib.bibNumber = spl_2016.subject.bibNumber
        INNER JOIN
    spl_2016.itemType ON spl_2016.itemToBib.itemNumber = spl_2016.itemType.itemNumber
WHERE
    (spl_2016.deweyClass.deweyClass >= 900)
        && (spl_2016.deweyClass.deweyClass < 1000)
GROUP BY spl_2016.deweyClass.bibNumber , spl_2016.deweyClass.deweyClass , spl_2016.title.title , spl_2016.itemType.itemType
*/
